/************************************************************************
	HardwareProfile.h

    usbGenericHidCommunication reference firmware 2_0_0_0
    Copyright (C) 2010 Simon Inns

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

	Email: simon.inns@gmail.com

************************************************************************/

#ifndef HARDWARE_PROFILE_H
#define HARDWARE_PROFILE_H

	// Defines required for the USB stack
    #define self_power          1
    #define USE_USB_BUS_SENSE_IO
	#define USB_BUS_SENSE       1
    #define DEMO_BOARD PICDEM_FS_USB
    #define PICDEM_FS_USB
    #define CLOCK_FREQ 48000000

	// Fosc frequency (48 Mhz)
	#define _XTAL_FREQ 48000000
	
	// Device Vendor Indentifier (VID)
	#define USB_VID	0x04D8
	
	// Device Product Indentifier (PID)
	#define USB_PID	0x0081
	
	// Manufacturer string descriptor
	#define MSDLENGTH	10
	#define MSD		'S','i','m','o','n',' ','I','n','n','s'
	
	// Product String descriptor
	#define PSDLENGTH	39
	#define PSD		'P','C',' ','C','a','s','e',' ','U','S','B',' ','L','C','D'
	// Device serial number string descriptor
	#define DSNLENGTH	7
	#define DSN		'W','F','F','_','2','.','0'
	
	// Common useful definitions
	#define ON		1
	#define OFF		0
	#define	WRITE	0
	#define READ	1

	// PIC to hardware pin mapping
#if defined(__18F4550)
	#define LED0	LATD0
	#define LED1	LATD1
	#define LED2	LATD2
	#define LED3	LATD3
#else
	#define LED0	LATB0
	#define LED1	LATB1
	#define LED2	LATB2
	#define LED3	LATB3
#endif

    // I/O pin definitions
    #define INPUT_PIN 1
    #define OUTPUT_PIN 0
    
    // Comment out the next define to disable the debug
    // functionality (saves some RAM and code space)
    #define DEBUGON
    
    // Defines for LCD firmware
    #define LCD_EN	RA1
    #define LCD_RS	RA0
    #define LCD_DB4	RA2
    #define LCD_DB5	RA3	
    #define LCD_DB6	RA4
    #define LCD_DB7	RA5

#endif
