/************************************************************************
	debug.h

    usbGenericHidCommunication reference firmware 2_0_0_0
    Copyright (C) 2010 Simon Inns

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

	Email: simon.inns@gmail.com

************************************************************************/

#ifndef DEBUG_H
#define DEBUG_H

// Set the size of the debug information buffer in characters
#define DEBUGBUFFERSIZE 256

// Only compile in the debug variables if debugging is required
#if defined(DEBUGON)

	// Buffer pointers
	unsigned int debugBufferStart = 0;
	unsigned int debugBufferEnd = 0;
	unsigned int debugBufferLevel = 0;
	
	// The following array is the cyclic buffer
	unsigned char debugBuffer[DEBUGBUFFERSIZE];

#endif

// Function prototypes
void debugInitialise(void);
void debugOut(const char*);
void copyDebugToSendBuffer(void);

#endif